// file: $isip/class/search/SearchSymbol/ssym_04.cc
// version: $Id: ssym_04.cc 7382 2001-09-19 05:24:22Z jelinek $
//

// isip include files
//
#include "SearchSymbol.h"
#include <Sof.h>

// method: write
//
// arguments:
//  Sof& sof: (input) sof file object
//  long tag: (input) sof object instance tag
//  const String& name: (input) sof object instance name
//
// return: a boolean indicating status
//
// this method has the object write itself to an Sof file
//
boolean SearchSymbol::write(Sof& sof_a, long tag_a,
			    const String& name_a) const {

  long obj_size;

  if (sof_a.isText()) {
    obj_size = Sof::ANY_SIZE;
  }
  else {
    obj_size = sofSize();
  }
  
  // put the object into the sof file's index
  //
  if (!sof_a.put(name_a, tag_a, obj_size)) {
    return false;
  }

  // exit gracefully
  //
  return writeData(sof_a);
}
